"use weex:vue";

if (typeof Promise !== 'undefined' && !Promise.prototype.finally) {
  Promise.prototype.finally = function(callback) {
    const promise = this.constructor
    return this.then(
      value => promise.resolve(callback()).then(() => value),
      reason => promise.resolve(callback()).then(() => {
        throw reason
      })
    )
  }
};

if (typeof uni !== 'undefined' && uni && uni.requireGlobal) {
  const global = uni.requireGlobal()
  ArrayBuffer = global.ArrayBuffer
  Int8Array = global.Int8Array
  Uint8Array = global.Uint8Array
  Uint8ClampedArray = global.Uint8ClampedArray
  Int16Array = global.Int16Array
  Uint16Array = global.Uint16Array
  Int32Array = global.Int32Array
  Uint32Array = global.Uint32Array
  Float32Array = global.Float32Array
  Float64Array = global.Float64Array
  BigInt64Array = global.BigInt64Array
  BigUint64Array = global.BigUint64Array
};


(()=>{var k=Object.create;var g=Object.defineProperty;var C=Object.getOwnPropertyDescriptor;var b=Object.getOwnPropertyNames;var P=Object.getPrototypeOf,L=Object.prototype.hasOwnProperty;var v=(t,s)=>()=>(s||t((s={exports:{}}).exports,s),s.exports);var A=(t,s,o,n)=>{if(s&&typeof s=="object"||typeof s=="function")for(let i of b(s))!L.call(t,i)&&i!==o&&g(t,i,{get:()=>s[i],enumerable:!(n=C(s,i))||n.enumerable});return t};var l=(t,s,o)=>(o=t!=null?k(P(t)):{},A(s||!t||!t.__esModule?g(o,"default",{value:t,enumerable:!0}):o,t));var u=v((J,_)=>{_.exports=Vue});var d=v(($,h)=>{h.exports=uni.Pinia});var e=l(u());var r=l(u());var I="onLoad";var T=t=>(s,o=(0,r.getCurrentInstance)())=>{!r.isInSSRComponentSetup&&(0,r.injectHook)(t,s,o)};var w=T(I);var x=(t,s)=>{let o=t.__vccOpts||t;for(let[n,i]of s)o[n]=i;return o};var j=l(d());var O={BASE_URL:"https://zutailang.zlc.xyzulin.top",API_IMG:"https://zloss.xinyongzu.cn/",env:"ztlZl",islocation:!1},R,E,N,p=O;E=p.API_IMG;R=p.BASE_URL;N=p.islocation;var ee=p.env,S=(0,j.defineStore)({id:"general",unistorage:!0,state:()=>({diyConfig:{},skin:"",userInfo:{},payLinkConfig:{},payLinkConfigItem:[]}),actions:{setDiyConfig(t,s){this.diyConfig=s},setThemeColor(t,s){this.skin=s},setUserInfo(t,s){this.userInfo=s},setPayLinkConfig(t,s){this.payLinkConfig=s},setpayLinkConfigItem(t,s){this.payLinkConfigItem=s}}}),z;z=plus.os.name=="iOS";var M=(t="\u52A0\u8F7D\u4E2D...")=>{uni.showLoading({title:t,mask:!0})},D=()=>{uni.hideLoading()},U=(t="\u64CD\u4F5C\u6210\u529F",s=1500)=>{uni.showToast({icon:"none",title:t})},B=(t="\u64CD\u4F5C\u5931\u8D25",s=1500)=>{uni.showToast({icon:"none",title:t,duration:s})},V=(t,s=1500)=>{uni.showToast({title:t,icon:"none",duration:s})},H=t=>{let{title:s="\u63D0\u793A",content:o="",buttonText:n="\u786E\u5B9A",showCancel:i=!0}=t;uni.showModal({title:s,content:o,confirmText:n,showCancel:i})},G=()=>{uni.stopPullDownRefresh()},K=(t={})=>{let{title:s="\u63D0\u793A",content:o="",buttonText:n="\u786E\u5B9A"}=t;return new Promise((i,f)=>{uni.showModal({title:s,content:o,buttonText:n,success:a=>{a.confirm?i(!0):a.cancel&&i(!1)},fail:()=>{f()}})})},y={showLoading:M,hideLoading:D,successToast:U,failToast:B,enableAlert:H,stopPullDownRefresh:G,showModelCallback:K,showToastLight:V};var re=l(d()),q="/static/images/video.png",F={content:{"":{marginBottom:"120rpx"}},"info-item":{".content ":{backgroundColor:"#ffffff",borderRadius:"12rpx",paddingTop:"30rpx",paddingRight:"0rpx",paddingBottom:"30rpx",paddingLeft:"0rpx"}},"video-item":{".content ":{backgroundColor:"#ecf2fc",height:"160rpx",width:"300rpx"}},"example-area-text":{".content .video-item ":{fontSize:"24rpx",lineHeight:"40rpx",letterSpacing:"0rpx",color:"#ff8400"}},playImg:{".content ":{width:"50rpx",height:"50rpx"}},"video-item-yello":{".content ":{backgroundColor:"#fff8d6"}},"upload-area":{".content ":{backgroundColor:"#f5f5f5",borderRadius:"12rpx",marginTop:"30rpx",width:"630rpx",height:"360rpx",display:"flex",justifyContent:"center",alignItems:"center"}},footer:{"":{position:"fixed",bottom:0,zIndex:999,left:0,right:0,backgroundColor:"#ffffff",paddingTop:"20rpx",paddingRight:"20rpx",paddingBottom:"20rpx",paddingLeft:"20rpx",boxShadow:"0rpx -1rpx 0rpx 0rpx rgba(0, 0, 0, 0.2)"}},"footer-text":{".footer ":{marginTop:0,marginBottom:0,height:"72rpx",backgroundColor:"#4881e3",borderRadius:"54rpx",textAlign:"center",color:"#ffffff",boxSizing:"border-box",display:"flex",justifyContent:"center",alignItems:"center"}}},W={__name:"flowers",setup(t){S();let s=(0,e.reactive)({video_url:"",video_img:"",uploadStatus:!0,src:"https://zloss.xinyongzu.cn/videos/1/2023/06/XJDY6SmR6KdKIj4Am4aD7MrzKTdsMaDttim9dtDIDDID65I4aSGB.mp4"});(0,e.toRefs)(s),w(()=>{uni.createVideoContext("myVideo")});let o=()=>{y.showModelCallback({content:"\u6253\u5F00\u652F\u4ED8\u5B9D-\u6211\u7684-\u82B1\u5457-\u67E5\u770B\u603B\u8BA1\u989D\u5EA6\u4F7F\u7528\u660E\u7EC6;\u8FD4\u56DE\u5230\u201C\u6211\u7684\u201D\u9875\u9762-\u829D\u9EBB\u4FE1\u7528-\u70B9\u51FB\u4E0B\u65B9\u7684\u201C\u5B88\u7EA6\u8BB0\u5F55\u201D-\u70B9\u5F00\u201C\u5F85\u5B88\u7EA6\u201D\u3001\u201C\u5DF2\u5B88\u7EA6\u201D\u3001\u201C\u5DF2\u903E\u671F\u201D\u3002",title:"\u6587\u5B57\u793A\u4F8B",confirmText:"\u5173\u95ED",showCancel:!1})},n=()=>{};return(i,f)=>{let a=(0,e.resolveComponent)("button");return(0,e.openBlock)(),(0,e.createElementBlock)("scroll-view",{scrollY:!0,showScrollbar:!0,enableBackToTop:!0,bubble:"true",style:{flexDirection:"column"}},[(0,e.createElementVNode)("view",{class:""},[(0,e.createElementVNode)("view",{class:"content pa-30"},[(0,e.createElementVNode)("view",{class:"info-item"},[(0,e.createElementVNode)("view",null,[(0,e.createElementVNode)("u-text",{class:"f-30 mr-l15"},"\u82B1\u5457\u989D\u5EA6\u548C\u829D\u9EBB\u4FE1\u7528\u5206\u5F55\u5C4F\u793A\u4F8B")]),(0,e.createElementVNode)("view",{class:"flex-row mr-t20"},[(0,e.createElementVNode)("view",{class:"flex1 flex-align-cen flexcolumn"},[(0,e.createElementVNode)("view",{class:"video-item flex-row flex-align-cen flex-center"},[(0,e.createElementVNode)("u-image",{class:"playImg",src:"/static/images/pay.png"})]),(0,e.createElementVNode)("view",{class:"mr-t10"},[(0,e.createElementVNode)("u-text",{class:"f-28"},"\u89C6\u9891\u6559\u7A0B")])]),(0,e.createElementVNode)("view",{class:"flex1 flex-align-cen"},[(0,e.createElementVNode)("view",{class:"video-item video-item-yello flex-row flex-center flex-align-cen",onClick:o},[(0,e.createElementVNode)("u-text",{class:"example-area-text"},"\u70B9\u51FB\u67E5\u770B\u6587\u5B57")]),(0,e.createElementVNode)("view",{class:"mr-t10"},[(0,e.createElementVNode)("u-text",{class:"f-28"},"\u6587\u5B57\u793A\u4F8B")])])])]),(0,e.createElementVNode)("view",{class:"info-item mr-t20"},[(0,e.createElementVNode)("view",null,[(0,e.createElementVNode)("u-text",{class:"f-30 mr-l15"}," \u4E0A\u4F20\u4E0B\u5355\u4EBA\u82B1\u5457\u603B\u989D\u5EA6\u89C6\u9891\u5904 ")]),(0,e.createElementVNode)("view",{class:"flex-row flex-center"},[(0,e.createElementVNode)("view",{class:"upload-area"},[(0,e.createElementVNode)("view",{class:"flexcolumn flex-center flex-align-cen"},[(0,e.createElementVNode)("u-image",{src:q,class:"playImg mr-t20"}),(0,e.createElementVNode)("u-text",{class:"mr-t20 f-28"}," \u4E0A\u4F20\u4E0B\u5355\u4EBA\u82B1\u5457\u603B\u989D\u5EA6\u89C6\u9891 ")])])])])]),(0,e.createElementVNode)("view",{class:"footer"},[(0,e.createVNode)(a,{class:"footer-text",onClick:n},{default:(0,e.withCtx)(()=>[(0,e.createElementVNode)("u-text",{class:"color-fff f-28"}," \u4E0B\u4E00\u6B65 ")]),_:1})])])])}}},c=x(W,[["styles",[F]]]);var m=plus.webview.currentWebview();if(m){let t=parseInt(m.id),s="pages/carLeasePages/pages/flowers/flowers",o={};try{o=JSON.parse(m.__query__)}catch(i){}c.mpType="page";let n=Vue.createPageApp(c,{$store:getApp({allowDefault:!0}).$store,__pageId:t,__pagePath:s,__pageQuery:o});n.provide("__globalStyles",Vue.useCssStyles([...__uniConfig.styles,...c.styles||[]])),n.mount("#root")}})();
