"use weex:vue";

if (typeof Promise !== 'undefined' && !Promise.prototype.finally) {
  Promise.prototype.finally = function(callback) {
    const promise = this.constructor
    return this.then(
      value => promise.resolve(callback()).then(() => value),
      reason => promise.resolve(callback()).then(() => {
        throw reason
      })
    )
  }
};

if (typeof uni !== 'undefined' && uni && uni.requireGlobal) {
  const global = uni.requireGlobal()
  ArrayBuffer = global.ArrayBuffer
  Int8Array = global.Int8Array
  Uint8Array = global.Uint8Array
  Uint8ClampedArray = global.Uint8ClampedArray
  Int16Array = global.Int16Array
  Uint16Array = global.Uint16Array
  Int32Array = global.Int32Array
  Uint32Array = global.Uint32Array
  Float32Array = global.Float32Array
  Float64Array = global.Float64Array
  BigInt64Array = global.BigInt64Array
  BigUint64Array = global.BigUint64Array
};


(()=>{var E=Object.create;var y=Object.defineProperty;var N=Object.getOwnPropertyDescriptor;var R=Object.getOwnPropertyNames;var T=Object.getPrototypeOf,M=Object.prototype.hasOwnProperty;var h=(s,e)=>()=>(e||s((e={exports:{}}).exports,e),e.exports);var x=(s,e,t,a)=>{if(e&&typeof e=="object"||typeof e=="function")for(let o of R(e))!M.call(s,o)&&o!==t&&y(s,o,{get:()=>e[o],enumerable:!(a=N(e,o))||a.enumerable});return s};var c=(s,e,t)=>(t=s!=null?E(T(s)):{},x(e||!s||!s.__esModule?y(t,"default",{value:s,enumerable:!0}):t,s));var d=(s,e,t)=>new Promise((a,o)=>{var f=r=>{try{p(t.next(r))}catch(_){o(_)}},n=r=>{try{p(t.throw(r))}catch(_){o(_)}},p=r=>r.done?a(r.value):Promise.resolve(r.value).then(f,n);p((t=t.apply(s,e)).next())});var v=h((ee,k)=>{k.exports=Vue});var j=h((te,L)=>{L.exports=uni.Pinia});var u=c(v());var U="onShow",V="onLoad";function S(s,e,...t){uni.__log__?uni.__log__(s,e,...t):console[s].apply(console,[...t,e])}var P=s=>(e,t=(0,u.getCurrentInstance)())=>{!u.isInSSRComponentSetup&&(0,u.injectHook)(s,e,t)},b=P(U),A=P(V);var C=(s,e)=>{let t=s.__vccOpts||s;for(let[a,o]of e)t[a]=o;return t};var i=c(v());var I=c(j());var $={BASE_URL:"https://zutailang.zlc.xyzulin.top",API_IMG:"https://zloss.xinyongzu.cn/",env:"ztlZl",islocation:!1},z,B,D,m=$;B=m.API_IMG;z=m.BASE_URL;D=m.islocation;var l=m.env,ie=(0,I.defineStore)({id:"general",unistorage:!0,state:()=>({diyConfig:{},skin:"",userInfo:{},payLinkConfig:{},payLinkConfigItem:[]}),actions:{setDiyConfig(s,e){this.diyConfig=e},setThemeColor(s,e){this.skin=e},setUserInfo(s,e){this.userInfo=e},setPayLinkConfig(s,e){this.payLinkConfig=e},setpayLinkConfigItem(s,e){this.payLinkConfigItem=e}}}),H;H=plus.os.name=="iOS";var G=s=>uni.getStorageSync(`${l}_${s}`),W=s=>d(void 0,null,function*(){return yield uni.getStorage(`${l}_${s}`)}),q=(s,e)=>{uni.setStorageSync(`${l}_${s}`,e)},F=(s,e)=>d(void 0,null,function*(){uni.setStorage(`${l}_${s}`,e)}),K=s=>{uni.removeStorageSync(`${l}_${s}`)},Y=s=>d(void 0,null,function*(){yield uni.removeStorage(`${l}_${s}`)}),Z=()=>{uni.clearStorageSync()},O={getStorageSync:G,getStorage:W,setStorage:F,setStorageSync:q,removeStorageSync:K,removeStorage:Y,clearStorageSync:Z};var de=c(j()),J={content:{"":{flex:1}},"content-web-view":{".content ":{flex:1}}},Q={__name:"webView",setup(s){b(()=>{setTimeout(()=>{uni.setNavigationBarTitle({title:e.title})},500)});let e=(0,i.reactive)({path:"",title:""}),{path:t,title:a}=(0,i.toRefs)(e);A(n=>{let{path:p="",title:r=""}=n;e.title=r,e.path=decodeURIComponent(p)});let o=n=>{O.setStorageSync("faceVerification",!0)},f=n=>{S("log","at pages/diyPages/pages/webView/webView.nvue:50","onWebviewMessage>>>>>",n)};return(n,p)=>((0,i.openBlock)(),(0,i.createElementBlock)("scroll-view",{scrollY:!0,showScrollbar:!0,enableBackToTop:!0,bubble:"true",style:{flexDirection:"column"}},[(0,i.createElementVNode)("view",{class:"content"},[(0,i.createElementVNode)("u-web-view",{src:(0,i.unref)(t),updateTitle:"",plusMessage:!0,"on:onPostMessage":o,onMessage:f,class:"content-web-view"},null,40,["src"])])]))}},g=C(Q,[["styles",[J]]]);var w=plus.webview.currentWebview();if(w){let s=parseInt(w.id),e="pages/diyPages/pages/webView/webView",t={};try{t=JSON.parse(w.__query__)}catch(o){}g.mpType="page";let a=Vue.createPageApp(g,{$store:getApp({allowDefault:!0}).$store,__pageId:s,__pagePath:e,__pageQuery:t});a.provide("__globalStyles",Vue.useCssStyles([...__uniConfig.styles,...g.styles||[]])),a.mount("#root")}})();
